GWT 2.7.0

## com.google.gwt.user.client.ui
Class Tree.ImageAdapter

    java.lang.Object
      com.google.gwt.user.client.ui.Tree.ImageAdapter

Enclosing class:
  Tree

    static class Tree.ImageAdapter

extends java.lang.Object

There are several ways of configuring images for the Tree widget due to deprecated APIs.

Constructor Summary
`Tree.ImageAdapter()`
`Tree.ImageAdapter(Tree.Resources resources)`
`Tree.ImageAdapter(TreeImages images)`

Method Summary
`AbstractImagePrototype` | `treeClosed()`
`AbstractImagePrototype` | `treeLeaf()`
`AbstractImagePrototype` | `treeOpen()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Tree.ImageAdapter

    public Tree.ImageAdapter()

### Tree.ImageAdapter

    public Tree.ImageAdapter(Tree.Resources resources)

### Tree.ImageAdapter

    public Tree.ImageAdapter(TreeImages images)

Method Detail

### treeClosed

    public AbstractImagePrototype treeClosed()

### treeLeaf

    public AbstractImagePrototype treeLeaf()

### treeOpen

    public AbstractImagePrototype treeOpen()

GWT 2.7.0